httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mladen Turk <mt...@apache.org>
Subject Re: official httpd VC9 builds
Date Mon, 31 Jan 2011 11:45:59 GMT
On 01/31/2011 11:54 AM, Ferenc Kovacs wrote:
>
>
> On Mon, Jan 31, 2011 at 10:54 AM, Nick Kew <nick@webthing.com <mailto:nick@webthing.com>>
wrote:
>
>
>     On 31 Jan 2011, at 09:39, Ferenc Kovacs wrote:
>
>      > does that mean that you can either support/provide the VC6 OR the VC9 builds,
but not both?
>
>     Providing any kind of binaries is not Apache's business.
>     Third-parties like apachelounge do that.
>
>     Why does it matter what the binary is built with?
>     Complain to Microsoft if they've broken compatibility!
>
>
> can I quote your words?
>

Each VC has it own MSVCRTxx.dll which is of course
incompatible with the previous.

For httpd to support modules build by a third party
the only viable solution is to use MSVCRT.dll
(VC6 is the last one that allows you to do that)

If we build with VC9 any module build with < VC9
would be probably broken, so it would have to be
recompiled with the VC version we are using.



Regards
-- 
^TM

Mime
View raw message